2553236290
Contributor
Contributor

KB-84273.

I downloaded the VMware fusion for my M1 and prompted an "Upgrade ... " Dialog box. I accepted, and it froze me in my tracks. My error code is KB-84273. Feel free to reach out here or via my Twitter: LandoWRLD.

0 Kudos
4 Replies
joshiga
Contributor
Contributor

Hey,

Which Guest VM you were trying to run? Is it x86 or ARM? 

Was the full error something like this: 

"This virtual machine cannot be powered on because it  requires the x86 machine architecture, which is incompatible with this arm machine architecture host. See KB-84273.

Please note only ARM Guest VMs are supported run on this. 

Please try ARM Guest with any of the supported Guest OS Matrix and ideally you shouldn't get any 

error. 

Let us know how it goes.

 

Thanks!

Thanks.

2553236290
Contributor
Contributor

The entire error message you gave was correct. Although, I do not remember what version I was trying to run. I used VMware for my previous mac to run windows, and I tried the same process a few weeks ago on my M1. When I loaded up the Silicon-based software, it looked like it already had a windows of some kind installed. 

0 Kudos
scott28tt
VMware Employee
VMware Employee

Intel Macs can only run x86-based OSes with Fusion.

M1 Macs can only run ARM-based OSes with Fusion.

So if you have an x86-based VM from an Intel Mac, you can't run it on an M1 Mac.


-------------------------------------------------------------------------------------------------------------------------------------------------------------
VMware Training & Certification blog
0 Kudos
dlhotka
Champion
Champion

Yeah, the issue here is that the Fusion installer doesn't clear the old 'launch on start' preference for the intel VM, so you get a file not found error.

0 Kudos